"use strict";

const Promise = require("bluebird");

module.exports = function ({db}) {
	return {
		getAll: function () {
			return db("images");
		},
		addInstallISO: function ({userId, fileId, name, description, sourceType, source, isPublic}) {
			return db("images").insert({
				userId: userId,
				fileId: fileId,
				name: name,
				description: description,
				sourceType: sourceType,
				source: source,
				public: isPublic,
				imageType: "disk",
				isInstallMedium: true
			});
		}
	};
};