"use strict";

const findInTree = require("./");

let tree = [{
	name: "a",
	children: [
		{ name: "a1" },
		{ name: "a2",
			children: [
				{ name: "a2a" },
				{ name: "a2b" },
				{ name: "a2c" }
			]
		}
	]
}, {
	name: "b"
}];

console.log(findInTree({ tree, predicate: (item) => item.name === "a2" }));
console.log(findInTree({ tree, predicate: (item) => item.name === "nonexistent" }));
