"use strict";

// FIXME: Use this in dev only, have a prod compile/build step
require("@babel/register");

const budoExpress = require("budo-express");
const path = require("path");

budoExpress({
	port: 8000,
	sourceMaps: true,
	expressApp: require("../src/app")(),
	basePath: path.resolve(__dirname, ".."),
	entryFiles: "src/client/index.jsx",
	staticPath: "public",
	bundlePath: "js/bundle.js",
	livereloadPattern: "**/*.{css,html}",
	browserify: {
		extensions: [".jsx"],
		plugin: [
			"browserify-hmr"
		],
		transform: [
			["babelify", {
				presets: ["@babel/preset-env", "@babel/preset-react"],
				// plugins: ["react-hot-loader/babel"]
			}]
		]
	},
});
