{
	const syncpipe = require("syncpipe");
	const {B} = require("../../unit-bytes-iec");
}

_
	= (" " / "\t")*

RestOfLine
	= content:$[^\n]+ Newline {
		return content;
	}

Newline
	= "\n"
	/ "\r\n"

BytesValue
	= value:SeparatedNumberValue {
		return B(value);
	}
	
NumberValue
	= value:$[0-9]+ {
		return parseInt(value);
	}

SeparatedNumberValue
	= value:$[0-9,]+ {
		return syncpipe(value, [
			(_) => _.replace(/,/g, ""),
			(_) => parseInt(_)
		]);
	}

HexNumberValue
	= value:$[0-9A-Fa-f]+ {
		return parseInt(value, 16);
	}

IdentifierValue
	= value:$[a-zA-Z_-]+ {
		return value;
	}
