'use strict';

const Promise = require("bluebird");

module.exports = function({db}) {
	let router = require("express-promise-router")();

	router.get("/", (req, res) => {
		return Promise.try(() => {
			return db("instances");
		}).then((instances) => {
			res.render("instances/list", {
				instances: instances
			});
		});
	});

	router.get("/add", (req, res) => {
		res.render("instances/add");
	});

	router.post("/add", (req, res) => {
		
	})

	return router;
}
